Go to:
Gentoo Home
Documentation
Forums
Lists
Bugs
Planet
Store
Wiki
Get Gentoo!
Gentoo's Bugzilla – Attachment 253767 Details for
Bug 332999
Retire: Joachim Bartosik (jbartosik)
Home
|
New
–
[Ex]
|
Browse
|
Search
|
Privacy Policy
|
[?]
|
Reports
|
Requests
|
Help
|
New Account
|
Log In
[x]
|
Forgot Password
Login:
[x]
A simple script to restart rails application running on passenger.
restart.sh (text/plain), 650 bytes, created by
Joachim Bartosik (RETIRED)
on 2010-11-09 18:45:28 UTC
(
hide
)
Description:
A simple script to restart rails application running on passenger.
Filename:
MIME Type:
Creator:
Joachim Bartosik (RETIRED)
Created:
2010-11-09 18:45:28 UTC
Size:
650 bytes
patch
obsolete
>function error >{ > echo "Couldn't restart application: " $1 1>&2 > exit 1 >} >function silent >{ > $1 2>/dev/null 1>/dev/null >} > >if [ -z $1 ] >then > tmp="tmp" > echo $PWD > gemfile="Gemfile"; >else > tmp="$1/tmp" > gemfile="$1/Gemfile"; >fi > >if [ ! -e $tmp ] >then > silent "mkdir $tmp" || error "$tmp doesn't exist and couldn't be created" >fi > >if [ -d $tmp -a -x $tmp -a -w $tmp ] >then > bundle install --deployment --gemfile="$gemfile" 2>/dev/null 1>/dev/null || error "bundle install failed" > silent "touch $tmp/restart.txt" || error "could not create restart.txt file" >else > error "$tmp must be a directory and script must have wx rights for it." >fi
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 332999
: 253767